Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.sasn1
Class DerOctetString

    java.lang.Object
      org.bouncycastle.sasn1.Asn1Object
          org.bouncycastle.sasn1.DerObject
              org.bouncycastle.sasn1.DerOctetString

All Implemented Interfaces:
  Asn1OctetString

Deprecated. use corresponsding classes in org.bouncycastle.asn1.

    public class DerOctetString

extends DerObject
implements Asn1OctetString

Field Summary

Fields inherited from class org.bouncycastle.sasn1.Asn1Object
`_baseTag, _contentStream, _tagNumber`

Constructor Summary
`protected` | `DerOctetString(int baseTag, byte[] contentStream)` Deprecated.

Method Summary
`java.io.InputStream` | `getOctetStream()` Deprecated.

Methods inherited from class org.bouncycastle.sasn1.DerObject
`getEncoded, getRawContentStream, getTagNumber`

Methods inherited from class org.bouncycastle.sasn1.Asn1Object
`isConstructed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerOctetString

    protected DerOctetString(int baseTag,
                             byte[] contentStream)

  Deprecated.

Method Detail

### getOctetStream

    public java.io.InputStream getOctetStream()

  Deprecated.
  Specified by:
    `getOctetStream` in interface `Asn1OctetString`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD